package ru.yandex.webmaster3.internal.metrika.counter;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.internal.common.InternalRequest;

/**
 * Created by ifilippov5 on 24.10.17.
 */
public class MetrikaBindingRequest extends InternalRequest {
    private String domain;
    private long userId;
    private long counterId;

    public String getDomain() {
        return domain;
    }

    @Description("канонизированный хост")
    @RequestQueryProperty(required = true)
    public void setDomain(String domain) {
        this.domain = domain;
    }

    public long getUserId() {
        return userId;
    }

    @Description("id пользователя")
    @RequestQueryProperty(required = true)
    public void setUserId(long userId) {
        this.userId = userId;
    }

    public long getCounterId() {
        return counterId;
    }

    @Description("id счетчика")
    @RequestQueryProperty(required = true)
    public void setCounterId(long counterId) {
        this.counterId = counterId;
    }
}
